package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	member "git.loafle.net/overflow/commons-go/member/model"
)

type Notification struct {
	ID          json.Number    `json:"id,Number,omitempty"`
	CreateDate  util.Timestamp `json:"date,omitempty"`
	Title       string         `json:"title,omitempty"`
	Message     string         `json:"message,omitempty"`
	Member      *member.Member `json:"member,omitempty"`
	ConfirmDate util.Timestamp `json:"confirmDate,omitempty"`
	Url         string         `json:"url,omitempty"`
}
